## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate os_str_bytes

Name:           rust-os_str_bytes
Version:        6.6.1
Release:        %autorelease
Summary:        Convert between byte sequences and platform-native strings

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/os_str_bytes
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Convert between byte sequences and platform-native strings.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+checked_conversions-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+checked_conversions-devel %{_description}

This package contains library source intended for building other packages which
use the "checked_conversions" feature of the "%{crate}" crate.

%files       -n %{name}+checked_conversions-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+conversions-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+conversions-devel %{_description}

This package contains library source intended for building other packages which
use the "conversions" feature of the "%{crate}" crate.

%files       -n %{name}+conversions-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+memchr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+memchr-devel %{_description}

This package contains library source intended for building other packages which
use the "memchr" feature of the "%{crate}" crate.

%files       -n %{name}+memchr-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+print_bytes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+print_bytes-devel %{_description}

This package contains library source intended for building other packages which
use the "print_bytes" feature of the "%{crate}" crate.

%files       -n %{name}+print_bytes-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+raw_os_str-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+raw_os_str-devel %{_description}

This package contains library source intended for building other packages which
use the "raw_os_str" feature of the "%{crate}" crate.

%files       -n %{name}+raw_os_str-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Jan 15 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 6.6.1-1
- Rebuilt for MSVSphere 9.3

* Sun Oct 15 2023 Fabio Valentini <decathorpe@gmail.com> - 6.6.1-1
- Update to version 6.6.1; Fixes RHBZ#2244216

* Sat Jul 15 2023 Fabio Valentini <decathorpe@gmail.com> - 6.5.1-1
- Update to version 6.5.1; Fixes RHBZ#2214001

* Sun May 14 2023 Fabio Valentini <decathorpe@gmail.com> - 6.5.0-1
- Update to version 6.5.0; Fixes RHBZ#2179653

* Sun May 14 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 6.4.1-1
- Update to version 6.4.1; Fixes RHBZ#2138307

* Tue Aug 16 2022 Fabio Valentini <decathorpe@gmail.com> - 6.3.0-1
- Update to version 6.3.0; Fixes RHBZ#2118094

* Fri Jul 29 2022 Fabio Valentini <decathorpe@gmail.com> - 6.2.0-1
- Update to version 6.2.0; Fixes RHBZ#2107860

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 16 2022 Fabio Valentini <decathorpe@gmail.com> - 6.1.0-1
- Update to version 6.1.0; Fixes RHBZ#2090543

* Mon May 23 2022 Fabio Valentini <decathorpe@gmail.com> - 6.0.1-1
- Update to version 6.0.1; Fixes RHBZ#2086215

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 18 2022 Fabio Valentini <decathorpe@gmail.com> - 6.0.0-1
- Update to version 6.0.0; Fixes RHBZ#2029232

* Tue Nov 23 2021 Fabio Valentini <decathorpe@gmail.com> - 5.0.0-2
- Drop optional dependencies that are not packaged for Fedora

* Mon Nov 15 2021 Robert-André Mauchin <zebob.m@gmail.com> - 5.0.0-1
- Update to 5.0.0 Close: rhbz#1933553

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 25 17:11:54 CET 2020 Igor Raits <igor.raits@gmail.com> - 2.4.0-1
- Initial package

